import { Builder, GmlPoint, GmlLineString, GmlPolygon, GmlLinearRing, GmlEnvelope, GmlBox, GmlCurve, GmlSurface, GmlMultiPoint, GmlMultiLineString, GmlMultiPolygon, Geometry, Feature, FeatureCollection, GmlFeature, GmlFeatureCollection, GmlRectifiedGridCoverage, GmlGridCoverage, GmlReferenceableGridCoverage, GmlMultiPointCoverage } from '../types.js';
export declare class GeoJsonBuilder implements Builder {
    buildPoint(gml: GmlPoint): Geometry;
    buildLineString(gml: GmlLineString): Geometry;
    buildPolygon(gml: GmlPolygon): Geometry;
    buildMultiPoint(gml: GmlMultiPoint): Geometry;
    buildMultiLineString(gml: GmlMultiLineString): Geometry;
    buildMultiPolygon(gml: GmlMultiPolygon): Geometry;
    buildLinearRing(gml: GmlLinearRing): Geometry;
    buildEnvelope(gml: GmlEnvelope): Feature;
    buildBox(gml: GmlBox): Feature;
    buildCurve(gml: GmlCurve): Geometry;
    buildSurface(gml: GmlSurface): Geometry;
    buildRectifiedGridCoverage(gml: GmlRectifiedGridCoverage): Feature;
    buildGridCoverage(gml: GmlGridCoverage): Feature;
    buildReferenceableGridCoverage(gml: GmlReferenceableGridCoverage): Feature;
    buildMultiPointCoverage(gml: GmlMultiPointCoverage): Feature;
    buildFeature(gml: GmlFeature): Feature;
    buildFeatureCollection(gml: GmlFeatureCollection): FeatureCollection;
    private buildGeometry;
}
